<?xml version="1.0" encoding="UTF-8"?>

<?import java.lang.String?>
<?import javafx.geometry.Insets?>
<?import javafx.geometry.Rectangle2D?>
<?import javafx.scene.Cursor?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.Pane?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>

<AnchorPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="800.0" prefWidth="900.0" stylesheets="@../css/styles.css" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.andrius.petclinic.controller.mainwindowcontrollers.VetDashController">
    <children>
        <VBox minHeight="-Infinity" minWidth="-Infinity" prefHeight="600.0" prefWidth="150.0" styleClass="sidebar" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.topAnchor="0.0">
            <children>
                <ImageView fitHeight="80.0" fitWidth="80.0" pickOnBounds="true" preserveRatio="true" VBox.vgrow="NEVER">
                    <image>
                        <Image url="@../images/logopet.png" />
                    </image>
                    <viewport>
                        <Rectangle2D />
                    </viewport>
                    <VBox.margin>
                        <Insets bottom="20.0" left="35.0" right="20.0" top="35.0" />
                    </VBox.margin>
                </ImageView>
                <Label alignment="TOP_CENTER" contentDisplay="CENTER" maxWidth="1.7976931348623157E308" styleClass="wtext" text="Pet Clinic CRM 1.1" textAlignment="CENTER">
                    <padding>
                        <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
                    </padding>
                    <VBox.margin>
                        <Insets bottom="35.0" />
                    </VBox.margin>
                    <font>
                        <Font size="10.0" />
                    </font>
                </Label>
                <Button alignment="BASELINE_LEFT" graphicTextGap="8.0" layoutX="10.0" layoutY="211.0" maxHeight="-Infinity" maxWidth="1.7976931348623157E308" minHeight="-Infinity" mnemonicParsing="false" nodeOrientation="LEFT_TO_RIGHT" onAction="#showDashboard" prefHeight="50.0" text="Dashboard">
                    <VBox.margin>
                        <Insets bottom="30.0" />
                    </VBox.margin>
                    <opaqueInsets>
                        <Insets />
                    </opaqueInsets>
                    <font>
                        <Font name="Candara" size="12.0" />
                    </font>
                    <graphic>
                        <ImageView fitHeight="16.0" fitWidth="16.0" pickOnBounds="true" preserveRatio="true">
                            <image>
                                <Image url="@../images/categorize-16.png" />
                            </image>
                        </ImageView>
                    </graphic>
                    <padding>
                        <Insets left="20.0" />
                    </padding>
               <cursor>
                  <Cursor fx:constant="HAND" />
               </cursor>
                </Button>
                <Button alignment="BASELINE_LEFT" graphicTextGap="8.0" layoutX="10.0" layoutY="205.0" maxHeight="-Infinity" maxWidth="1.7976931348623157E308" minHeight="-Infinity" mnemonicParsing="false" nodeOrientation="LEFT_TO_RIGHT" onAction="#showVisitScreen" prefHeight="50.0" text="Client visits">
                    <opaqueInsets>
                        <Insets />
                    </opaqueInsets>
                    <font>
                        <Font name="Candara" size="12.0" />
                    </font>
                    <graphic>
                        <ImageView fitHeight="16.0" fitWidth="16.0" pickOnBounds="true" preserveRatio="true">
                            <image>
                                <Image url="@../images/contacts-2-16.png" />
                            </image>
                        </ImageView>
                    </graphic>
                    <padding>
                        <Insets left="20.0" />
                    </padding>
                    <VBox.margin>
                        <Insets bottom="30.0" />
                    </VBox.margin>
               <cursor>
                  <Cursor fx:constant="HAND" />
               </cursor>
                </Button>
                <Button alignment="BASELINE_LEFT" defaultButton="true" graphicTextGap="8.0" maxHeight="-Infinity" maxWidth="1.7976931348623157E308" minHeight="-Infinity" mnemonicParsing="false" nodeOrientation="LEFT_TO_RIGHT" prefHeight="50.0" text="Veterinarians">
                    <VBox.margin>
                        <Insets bottom="30.0" />
                    </VBox.margin>
                    <graphic>
                        <ImageView fitHeight="16.0" fitWidth="16.0" pickOnBounds="true" preserveRatio="true">
                            <image>
                                <Image url="@../images/nurse-16.png" />
                            </image>
                        </ImageView>
                    </graphic>
                    <padding>
                        <Insets left="20.0" />
                    </padding>
                </Button>
                <Button alignment="BASELINE_LEFT" graphicTextGap="8.0" layoutX="10.0" layoutY="285.0" maxHeight="-Infinity" maxWidth="1.7976931348623157E308" minHeight="-Infinity" mnemonicParsing="false" nodeOrientation="LEFT_TO_RIGHT" onAction="#showPetScreen" prefHeight="50.0" text="Pet data">
                    <graphic>
                        <ImageView fitHeight="18.0" fitWidth="18.0" pickOnBounds="true" preserveRatio="true">
                            <image>
                                <Image url="@../images/cat-16.png" />
                            </image>
                        </ImageView>
                    </graphic>
                    <VBox.margin>
                        <Insets bottom="30.0" />
                    </VBox.margin>
                    <padding>
                        <Insets left="20.0" />
                    </padding>
               <cursor>
                  <Cursor fx:constant="HAND" />
               </cursor>
                </Button>
                <Button id="exitBtn" fx:id="exitBtn" alignment="BASELINE_LEFT" graphicTextGap="8.0" layoutX="10.0" layoutY="365.0" maxHeight="-Infinity" maxWidth="1.7976931348623157E308" minHeight="-Infinity" minWidth="-Infinity" mnemonicParsing="false" nodeOrientation="LEFT_TO_RIGHT" prefHeight="50.0" styleClass="exitBtn" text="Exit">
                    <graphic>
                        <ImageView fitHeight="14.0" fitWidth="14.0" pickOnBounds="true" preserveRatio="true">
                            <image>
                                <Image url="@../images/close-window-16.png" />
                            </image>
                        </ImageView>
                    </graphic>
                    <padding>
                        <Insets left="20.0" />
                    </padding>
               <cursor>
                  <Cursor fx:constant="HAND" />
               </cursor>
                </Button>
            </children>
        </VBox>
        <VBox layoutX="150.0" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="800.0" prefWidth="750.0">
            <children>
                <Pane layoutX="25.0" layoutY="25.0" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="75.0" prefWidth="745.0" styleClass="header">
                    <VBox.margin>
                        <Insets />
                    </VBox.margin>
                    <children>
                        <Label id="title" fx:id="title" layoutX="10.0" styleClass="title" text="Veterinarians" textFill="#515151">
                            <font>
                                <Font name="Roboto Regular" size="18.0" />
                            </font>
                            <padding>
                                <Insets left="15.0" top="20.0" />
                            </padding>
                        </Label>
                        <Label fx:id="date" layoutX="26.0" layoutY="43.0" text="2020-08-27" textFill="#727272">
                            <font>
                                <Font size="10.0" />
                            </font>
                            <padding>
                                <Insets top="5.0" />
                            </padding>
                        </Label>
                  <Label fx:id="userInfo" layoutX="565.0" layoutY="30.0" nodeOrientation="RIGHT_TO_LEFT" prefHeight="20.0" prefWidth="150.0" styleClass="user-info" text="Label" />
                    </children>
                    <padding>
                        <Insets left="15.0" top="15.0" />
                    </padding>
                </Pane>
            <AnchorPane maxHeight="-Infinity" maxWidth="1.7976931348623157E308" minHeight="-Infinity" minWidth="-Infinity" prefHeight="40.0" prefWidth="200.0">
               <children>
                  <Label fx:id="stats" layoutX="25.0" layoutY="15.0" styleClass="stats-line" text="Label" />
                  <Label fx:id="updateTime" layoutX="689.0" layoutY="15.0" nodeOrientation="RIGHT_TO_LEFT" styleClass="stats-line" text="Last update: 2020-01-01" textAlignment="RIGHT" AnchorPane.rightAnchor="25.0" />
               </children>
               <VBox.margin>
                  <Insets bottom="10.0" />
               </VBox.margin>
            </AnchorPane>
            <TextField fx:id="searchBar" minHeight="-Infinity" prefHeight="30.0" promptText="Enter search keyword...">
               <VBox.margin>
                  <Insets bottom="20.0" left="25.0" right="25.0" />
               </VBox.margin>
            </TextField>
            <TableView fx:id="vetsTable" editable="true" fixedCellSize="60.0" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" nodeOrientation="LEFT_TO_RIGHT" prefHeight="535.0" prefWidth="700.0">
              <columns>
                <TableColumn fx:id="idColumn" maxWidth="50.0" minWidth="40.0" prefWidth="50.0" resizable="false" text="ID" />
                <TableColumn fx:id="nameColumn" maxWidth="150.0" minWidth="150.0" onEditCommit="#changeNameCell" prefWidth="150.0" resizable="false" text="First Name" />
                  <TableColumn fx:id="lastNameColumn" maxWidth="150.0" minWidth="150.0" onEditCommit="#changeLastNameCell" prefWidth="150.0" resizable="false" text="Last Name" />
                  <TableColumn fx:id="specialityColumn" maxWidth="120.0" minWidth="120.0" onEditCommit="#changeSpecCell" prefWidth="120.0" resizable="false" text="Speciality" />
                  <TableColumn fx:id="addressColumn" maxWidth="1.7976931348623157E308" minWidth="200.0" onEditCommit="#changeAddressCell" prefWidth="215.0" resizable="false" text="Adress" />
              </columns>
               <columnResizePolicy>
                  <TableView fx:constant="CONSTRAINED_RESIZE_POLICY" />
               </columnResizePolicy>
               <VBox.margin>
                  <Insets bottom="20.0" left="25.0" right="25.0" />
               </VBox.margin>
            </TableView>
            <AnchorPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="40.0" prefWidth="745.0">
               <children>
                  <Button alignment="CENTER" layoutX="25.0" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" mnemonicParsing="false" onAction="#newWindow" prefHeight="31.0" prefWidth="128.0" styleClass="addbutton" text="Add new vet...">
                     <cursor>
                        <Cursor fx:constant="HAND" />
                     </cursor>
                  </Button>
                  <Button layoutX="550.0" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" mnemonicParsing="false" onAction="#deleteVets" prefHeight="31.0" prefWidth="80.0" styleClass="deletebutton" text="Delete">
                     <cursor>
                        <Cursor fx:constant="HAND" />
                     </cursor></Button>
                  <Button layoutX="640.0" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" mnemonicParsing="false" onAction="#refreshScreen" prefHeight="31.0" prefWidth="80.0" styleClass="savebutton" text="Refresh">
                     <cursor>
                        <Cursor fx:constant="HAND" />
                     </cursor></Button>
               </children>
            </AnchorPane>
            </children>
         <padding>
            <Insets right="5.0" top="5.0" />
         </padding></VBox>
    </children>
   <styleClass>
      <String fx:value="mainWindow" />
      <String fx:value="main-window-border" />
   </styleClass>
</AnchorPane>
